package io.renren.modules.admin.dao;

import io.renren.modules.admin.entity.CategoryEntity;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 材料类型表
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-17 09:55:33
 */
@Mapper
public interface CategoryDao extends BaseMapper<CategoryEntity> {
    
    @Select("select * from category where last != 1 order by order_num asc;")
    List<CategoryEntity> queryNotLastList();
}
