package io.renren.modules.admin.dao;

import io.renren.modules.admin.entity.MemberFavoriteEntity;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 用户收藏
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-30 11:40:27
 */
@Mapper
public interface MemberFavoriteDao extends BaseMapper<MemberFavoriteEntity> {

    @Select("select mf.did, db.code, count(mf.did) as h_w from member_favorite mf join data_base db on mf.did=db.id  group by did order by h_w desc;")
	List<Map<String, Object>> getHotWord();
	
}
