package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 工艺要求
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@Data
@TableName("data_craft")
public class DataCraftEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 材料id
	 */
	@TableId(value="d_id", type = IdType.INPUT)
	private Long dId;
	/**
	 * 材料牌号
	 */
	private String code;
	/**
	 * 成形工艺与性能
	 */
	private String processAndPerformance;
	/**
	 * 焊接性能
	 */
	private String weldingPerformance;
	/**
	 * 零件热处理工艺
	 */
	private String heatTreatmentProcess;
	/**
	 * 切削加工与磨削性能
	 */
	private String cuttingAndGrinding;

}
