package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 力学性能
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@Data
@TableName("data_mechanics")
public class DataMechanicsEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 材料id
	 */
	@TableId(value="d_id", type = IdType.INPUT)
	private Long dId;
	/**
	 * 材料牌号
	 */
	private String code;
	/**
	 * 技术标准规范的性能
	 */
	private String technicalStandardSpecifications;
	/**
	 * 生产检验数据
	 */
	private String productionInspection;
	/**
	 * 硬度
	 */
	private String hardness;
	/**
	 * 冲击性能
	 */
	private String impactPerformance;

}
