package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 组织结构
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@Data
@TableName("data_structure")
public class DataStructureEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 材料id
	 */
	@TableId(value="d_id", type = IdType.INPUT)
	private Long dId;
	/**
	 * 材料牌号
	 */
	private String code;
	/**
	 * 典型组织
	 */
	private String typicalOrganization;

}
