package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import lombok.Data;

/**
 * 用户收藏
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-30 11:40:27
 */
@Data
@TableName("member_favorite")
public class MemberFavoriteEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Long id;
	/**
	 * 会员id
	 */
	private Long memberId;
	/**
	 * 材料id
	 */
	private Long did;
	/**
	 * 内容
	 */
	private String content;
	/**
	 * 1, 收藏; 2, 最近访问
	 */
	private Integer type;

}
