package io.renren.modules.admin.form;

import java.io.Serializable;
import java.util.Date;

import io.renren.modules.admin.entity.DataBaseEntity;
import io.renren.modules.admin.entity.DataCorrosionEntity;
import io.renren.modules.admin.entity.DataCraftEntity;
import io.renren.modules.admin.entity.DataMechanicsEntity;
import io.renren.modules.admin.entity.DataPhysicalEntity;
import io.renren.modules.admin.entity.DataStructureEntity;
import lombok.Data;

/**
 * 
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@Data
public class DataForm implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 基本信息
     */
    private DataBaseEntity dataBase;
    /**
     * 物理性能
     */
    private DataPhysicalEntity dataPhysical;
    /**
     * 力学性能
     */
    private DataMechanicsEntity dataMechanics;
    /**
     * 工艺要求
     */
    private DataCraftEntity dataCraft;
    /**
     * 组织结构
     */
    private DataStructureEntity dataStructure;
    /**
     * 防腐性
     */
    private DataCorrosionEntity dataCorrosion;

}
