package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.DataMechanicsDao;
import io.renren.modules.admin.entity.DataMechanicsEntity;
import io.renren.modules.admin.service.DataMechanicsService;


@Service("dataMechanicsService")
public class DataMechanicsServiceImpl extends ServiceImpl<DataMechanicsDao, DataMechanicsEntity> implements DataMechanicsService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DataMechanicsEntity> page = this.page(
                new Query<DataMechanicsEntity>().getPage(params),
                new QueryWrapper<DataMechanicsEntity>()
        );

        return new PageUtils(page);
    }

}