/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.modules.app.dao;

import java.util.Date;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.app.entity.UserEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
 * 用户
 *
 * @author Mark sunlightcs@gmail.com
 */
@Mapper
public interface UserDao extends BaseMapper<UserEntity> {

    @Update("update `member` set `login_time`=#{loginTime}, `login_ip`=#{loginIp} where `user_id`=#{userId};")
	void updateLoginTimeIp(Long userId, Date loginTime, String loginIp);

    @Update("update `member` set `password`=#{password} where `user_id`=#{userId}")
	void updatePassWord(Long userId, String password);

}
