package io.renren.modules.app.form;

import java.util.Date;
import java.io.Serializable;

import lombok.Data;

/**
 * 收藏表单
 *
 * @author huwhois huwhois@gmail.com
 */
@Data
public class FavoriteForm implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 材料id
     */
    private Long id;
    /**
     * 材料牌号
     */
    private String code;
    /**
     * 图片
     */
    private String image;
    /**
     * 关键词
     */
    private String keyword;
    /**
     * 概述
     */
    private String summary;
    /**
     * 发布时间
     */
    private Date createTime;
}
