package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import lombok.Data;

/**
 * 工艺要求
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@Data
@TableName("data_corrosion")
public class DataCorrosionEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 材料id
	 */
	@TableId(value="d_id", type = IdType.INPUT)
	private Long dId;
	/**
	 * 材料牌号
	 */
	private String code;
	/**
	 * 抗氧化性能
	 */
	private String antioxidantPerformance;
	/**
	 * 腐蚀性能
	 */
	private String meltingProcess;

}
