package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 物理性能
 * 
 * @author huwhois
 * @email huwhois@gmail.com
 * @date 2020-07-22 15:28:24
 */
@Data
@TableName("data_physical")
public class DataPhysicalEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 材料id
	 */
	@TableId(value="d_id", type = IdType.INPUT)
	private Long dId;
	/**
	 * 材料牌号
	 */
	private String code;
	/**
	 * 熔化温度范围
	 */
	private String meltingTemperature;
	/**
	 * 相变点
	 */
	private String phaseTransition;
	/**
	 * 密度
	 */
	private String density;

}
