package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.DataCorrosionDao;
import io.renren.modules.admin.entity.DataCorrosionEntity;
import io.renren.modules.admin.service.DataCorrosionService;


@Service("dataCorrosionService")
public class DataCorrosionServiceImpl extends ServiceImpl<DataCorrosionDao, DataCorrosionEntity> implements DataCorrosionService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DataCorrosionEntity> page = this.page(
                new Query<DataCorrosionEntity>().getPage(params),
                new QueryWrapper<DataCorrosionEntity>()
        );

        return new PageUtils(page);
    }

}