package io.renren.modules.admin.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import io.renren.common.utils.PageUtils;
import io.renren.common.utils.Query;

import io.renren.modules.admin.dao.MaterialStorageDao;
import io.renren.modules.admin.entity.MaterialStorageEntity;
import io.renren.modules.admin.service.MaterialStorageService;


@Service("materialStorageService")
public class MaterialStorageServiceImpl extends ServiceImpl<MaterialStorageDao, MaterialStorageEntity> implements MaterialStorageService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<MaterialStorageEntity> page = this.page(
                new Query<MaterialStorageEntity>().getPage(params),
                new QueryWrapper<MaterialStorageEntity>()
        );

        return new PageUtils(page);
    }

}